---
updatedAt: 2025-09-03T06:03:02.000Z
agentTools:
  projectIndex: https://docs.deducto.io/llms.txt
---

# Generate a file upload URL for importing data

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Deducto API",
    "version": "1.0.0",
    "description": "Deducto backend management API and storefront integration endpoints"
  },
  "servers": [
    {
      "url": "https://api.use.deducto.io",
      "description": "US East server"
    },
    {
      "url": "https://api.usw.deducto.io",
      "description": "US West server"
    },
    {
      "url": "https://api.euc.deducto.io",
      "description": "EU server"
    },
    {
      "url": "https://api.au.deducto.io",
      "description": "Asia Pacific server"
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "JWT token or API key for authentication. Include as 'Bearer <token>' in the Authorization header."
      }
    }
  },
  "paths": {
    "/v1/manage/{projectId}/upload-url/generate": {
      "post": {
        "tags": [
          "Project"
        ],
        "summary": "Generate a file upload URL for importing data",
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "The project ID"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "string",
                    "description": "The upload data identifier"
                  },
                  "type": {
                    "type": "string",
                    "enum": [
                      "coupon"
                    ],
                    "description": "The type of data to be uploaded, currently only 'coupon' is supported."
                  }
                },
                "required": [
                  "data",
                  "type"
                ],
                "description": "Request schema for generating a file upload URL",
                "title": "Generate Upload URL Request"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "url": {
                      "type": "string",
                      "description": "The URL to upload the data file to"
                    }
                  },
                  "required": [
                    "url"
                  ],
                  "description": "Response schema for containing the upload URL",
                  "title": "Generate Upload URL Response"
                }
              }
            }
          }
        }
      }
    }
  }
}
```